import api from '@/utils/request';

export const getPage = params =>
  api.post(`/yxl-back-end/framework/help/group/page`, params);
export const getItem = ({ id, ...params }) =>
  api.get(`/yxl-back-end/framework/help/group/${id}`, params);
export const saveItem = ({ id, ...params }) => {
  if (id) {
    return api.put(`/yxl-back-end/framework/help/group/${id}`, params);
  } else {
    return api.post(`/yxl-back-end/framework/help/group`, params);
  }
};
export const delItem = ({ id, ...params }) =>
  api.del(`/yxl-back-end/framework/help/group/${id}`, params);
